CREATE PROCEDURE [dbo].[CommonGetMessage] @MSG_ID CHAR(16)
	,@MSG_TEXT VARCHAR(1000) OUTPUT
	,@NR_ERR INT OUTPUT
	,@PARAM1 VARCHAR(max) = NULL
	,@PARAM2 VARCHAR(max) = NULL
	,@PARAM3 VARCHAR(max) = NULL
	,@PARAM4 VARCHAR(max) = NULL
	,@PARAM5 VARCHAR(max) = NULL
	,@PARAM6 VARCHAR(max) = NULL
	,@PARAM7 VARCHAR(max) = NULL
	,@PARAM8 VARCHAR(max) = NULL
	,@PARAM9 VARCHAR(max) = NULL
	,@PARAM10 VARCHAR(max) = NULL
AS
SET @NR_ERR = 0
SET @MSG_TEXT = (
		SELECT MESSAGE_TEXT
		FROM TB_M_MESSAGE
		WHERE ltrim(MESSAGE_ID) = ltrim(@MSG_ID)
		)

IF @MSG_TEXT IS NULL
	SET @NR_ERR = 1 --invalid message number

IF (@PARAM1 IS NOT NULL)
	SET @MSG_TEXT = replace(@MSG_TEXT, '{0}', @PARAM1)

IF (@PARAM2 IS NOT NULL)
	SET @MSG_TEXT = replace(@MSG_TEXT, '{1}', @PARAM2)

IF (@PARAM3 IS NOT NULL)
	SET @MSG_TEXT = replace(@MSG_TEXT, '{2}', @PARAM3)

IF (@PARAM4 IS NOT NULL)
	SET @MSG_TEXT = replace(@MSG_TEXT, '{3}', @PARAM4)

IF (@PARAM5 IS NOT NULL)
	SET @MSG_TEXT = replace(@MSG_TEXT, '{4}', @PARAM5)

IF (@PARAM6 IS NOT NULL)
	SET @MSG_TEXT = replace(@MSG_TEXT, '{5}', @PARAM5)

IF (@PARAM7 IS NOT NULL)
	SET @MSG_TEXT = replace(@MSG_TEXT, '{6}', @PARAM5)

IF (@PARAM8 IS NOT NULL)
	SET @MSG_TEXT = replace(@MSG_TEXT, '{7}', @PARAM5)

IF (@PARAM9 IS NOT NULL)
	SET @MSG_TEXT = replace(@MSG_TEXT, '{8}', @PARAM5)

IF (@PARAM10 IS NOT NULL)
	SET @MSG_TEXT = replace(@MSG_TEXT, '{9}', @PARAM5)
